Skip to main content

Interface: RecordingDownloadResult

Gala Launchpad SDK 9.0.0-rc.5


Gala Launchpad SDK 9.0.0-rc.5 / index / RecordingDownloadResult

Interface: RecordingDownloadResult

Defined in: packages/launchpad-sdk/dist/types/streaming.dto.d.ts:198

Result from GET /live/:tokenName/recordings/:assetId/download

Properties​

status​

status: "none" | "preparing" | "ready" | "errored"

Defined in: packages/launchpad-sdk/dist/types/streaming.dto.d.ts:200

Current status of master file preparation


url?​

optional url?: string

Defined in: packages/launchpad-sdk/dist/types/streaming.dto.d.ts:202

Download URL (only present when status is 'ready')